org.jboss.jca.codegenerator

## Class McfDef

- java.lang.Object
- - org.jboss.jca.codegenerator.McfDef

-     public class McfDef
      extends java.lang.Object

  A Definition.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McfDef(int id, Definition def)` Construct

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCciConnClass()` Get the cciConnClass.
    `java.lang.String` | `getCciConnFactoryClass()` Get the cciConnFactoryClass.
    `java.lang.String` | `getCfClass()` Get the cfClass.
    `java.lang.String` | `getCfInterfaceClass()` Get the cfInterfaceClass.
    `java.lang.String` | `getCmClass()` Get the cmClass.
    `java.lang.String` | `getConnImplClass()` Get the connImplClass.
    `java.lang.String` | `getConnInterfaceClass()` Get the connInterfaceClass.
    `java.lang.String` | `getConnMetaClass()` Get the connMetaClass.
    `java.lang.String` | `getConnSpecClass()` Get the connSpecClass.
    `java.lang.String` | `getMcClass()` Get the mcClass.
    `java.lang.String` | `getMcfClass()` Get the mcfClass.
    `java.util.List<ConfigPropType>` | `getMcfConfigProps()` Get the mcfConfigProps.
    `java.lang.String` | `getMcfPackage()` getMcfPackage
    `java.lang.String` | `getMcMetaClass()` Get the mcMetaClass.
    `java.util.List<MethodForConnection>` | `getMethods()` Get the methods.
    `boolean` | `isDefineMethodInConnection()` Get the defineMethodInConnection.
    `boolean` | `isImplRaAssociation()` Get the implRaAssociation.
    `boolean` | `isUseCciConnection()` Get the useCciConnection.
    `void` | `setCciConnClass(java.lang.String cciConnClass)` Set the cciConnClass.
    `void` | `setCciConnFactoryClass(java.lang.String cciConnFactoryClass)` Set the cciConnFactoryClass.
    `void` | `setCfClass(java.lang.String cfClass)` Set the cfClass.
    `void` | `setCfInterfaceClass(java.lang.String cfInterfaceClass)` Set the cfInterfaceClass.
    `void` | `setCmClass(java.lang.String cmClass)` Set the cmClass.
    `void` | `setConnImplClass(java.lang.String connImplClass)` Set the connImplClass.
    `void` | `setConnInterfaceClass(java.lang.String connInterfaceClass)` Set the connInterfaceClass.
    `void` | `setConnMetaClass(java.lang.String connMetaClass)` Set the connMetaClass.
    `void` | `setConnSpecClass(java.lang.String connSpecClass)` Set the connSpecClass.
    `void` | `setDefineMethodInConnection(boolean defineMethodInConnection)` Set the defineMethodInConnection.
    `void` | `setImplRaAssociation(boolean implRaAssociation)` Set the implRaAssociation.
    `void` | `setMcClass(java.lang.String mcClass)` Set the mcClass.
    `void` | `setMcfClass(java.lang.String mcfClass)` Set the mcfClass.
    `void` | `setMcfConfigProps(java.util.List<ConfigPropType> mcfConfigProps)` Set the mcfConfigProps.
    `void` | `setMcMetaClass(java.lang.String mcMetaClass)` Set the mcMetaClass.
    `void` | `setMethods(java.util.List<MethodForConnection> methods)` Set the methods.
    `void` | `setUseCciConnection(boolean useCciConnection)` Set the useCciConnection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McfDef

          public McfDef(int id,
                        Definition def)

      Construct
      Parameters:
        `id` - MCF id
        `def` - Definition

  - ### Method Detail

    - #### getMcfPackage

          public java.lang.String getMcfPackage()

      getMcfPackage
      Returns:
        default name

    - #### setMcfClass

          public void setMcfClass(java.lang.String mcfClass)

      Set the mcfClass.
      Parameters:
        `mcfClass` - The mcfClass to set.

    - #### getMcfClass

          public java.lang.String getMcfClass()

      Get the mcfClass.
      Returns:
        the mcfClass.

    - #### setMcClass

          public void setMcClass(java.lang.String mcClass)

      Set the mcClass.
      Parameters:
        `mcClass` - The mcClass to set.

    - #### getMcClass

          public java.lang.String getMcClass()

      Get the mcClass.
      Returns:
        the mcClass.

    - #### setConnInterfaceClass

          public void setConnInterfaceClass(java.lang.String connInterfaceClass)

      Set the connInterfaceClass.
      Parameters:
        `connInterfaceClass` - The connInterfaceClass to set.

    - #### getConnInterfaceClass

          public java.lang.String getConnInterfaceClass()

      Get the connInterfaceClass.
      Returns:
        the connInterfaceClass.

    - #### setConnImplClass

          public void setConnImplClass(java.lang.String connImplClass)

      Set the connImplClass.
      Parameters:
        `connImplClass` - The connImplClass to set.

    - #### getConnImplClass

          public java.lang.String getConnImplClass()

      Get the connImplClass.
      Returns:
        the connImplClass.

    - #### setMcfConfigProps

          public void setMcfConfigProps(java.util.List<ConfigPropType> mcfConfigProps)

      Set the mcfConfigProps.
      Parameters:
        `mcfConfigProps` - The mcfConfigProps to set.

    - #### getMcfConfigProps

          public java.util.List<ConfigPropType> getMcfConfigProps()

      Get the mcfConfigProps.
      Returns:
        the mcfConfigProps.

    - #### setImplRaAssociation

          public void setImplRaAssociation(boolean implRaAssociation)

      Set the implRaAssociation.
      Parameters:
        `implRaAssociation` - The implRaAssociation to set.

    - #### isImplRaAssociation

          public boolean isImplRaAssociation()

      Get the implRaAssociation.
      Returns:
        the implRaAssociation.

    - #### setUseCciConnection

          public void setUseCciConnection(boolean useCciConnection)

      Set the useCciConnection.
      Parameters:
        `useCciConnection` - The useCciConnection to set.

    - #### isUseCciConnection

          public boolean isUseCciConnection()

      Get the useCciConnection.
      Returns:
        the useCciConnection.

    - #### setCciConnFactoryClass

          public void setCciConnFactoryClass(java.lang.String cciConnFactoryClass)

      Set the cciConnFactoryClass.
      Parameters:
        `cciConnFactoryClass` - The cciConnFactoryClass to set.

    - #### getCciConnFactoryClass

          public java.lang.String getCciConnFactoryClass()

      Get the cciConnFactoryClass.
      Returns:
        the cciConnFactoryClass.

    - #### setCciConnClass

          public void setCciConnClass(java.lang.String cciConnClass)

      Set the cciConnClass.
      Parameters:
        `cciConnClass` - The cciConnClass to set.

    - #### getCciConnClass

          public java.lang.String getCciConnClass()

      Get the cciConnClass.
      Returns:
        the cciConnClass.

    - #### setMcMetaClass

          public void setMcMetaClass(java.lang.String mcMetaClass)

      Set the mcMetaClass.
      Parameters:
        `mcMetaClass` - The mcMetaClass to set.

    - #### getMcMetaClass

          public java.lang.String getMcMetaClass()

      Get the mcMetaClass.
      Returns:
        the mcMetaClass.

    - #### setCmClass

          public void setCmClass(java.lang.String cmClass)

      Set the cmClass.
      Parameters:
        `cmClass` - The cmClass to set.

    - #### getCmClass

          public java.lang.String getCmClass()

      Get the cmClass.
      Returns:
        the cmClass.

    - #### setCfClass

          public void setCfClass(java.lang.String cfClass)

      Set the cfClass.
      Parameters:
        `cfClass` - The cfClass to set.

    - #### getCfClass

          public java.lang.String getCfClass()

      Get the cfClass.
      Returns:
        the cfClass.

    - #### setCfInterfaceClass

          public void setCfInterfaceClass(java.lang.String cfInterfaceClass)

      Set the cfInterfaceClass.
      Parameters:
        `cfInterfaceClass` - The cfInterfaceClass to set.

    - #### getCfInterfaceClass

          public java.lang.String getCfInterfaceClass()

      Get the cfInterfaceClass.
      Returns:
        the cfInterfaceClass.

    - #### setConnMetaClass

          public void setConnMetaClass(java.lang.String connMetaClass)

      Set the connMetaClass.
      Parameters:
        `connMetaClass` - The connMetaClass to set.

    - #### getConnMetaClass

          public java.lang.String getConnMetaClass()

      Get the connMetaClass.
      Returns:
        the connMetaClass.

    - #### setConnSpecClass

          public void setConnSpecClass(java.lang.String connSpecClass)

      Set the connSpecClass.
      Parameters:
        `connSpecClass` - The connSpecClass to set.

    - #### getConnSpecClass

          public java.lang.String getConnSpecClass()

      Get the connSpecClass.
      Returns:
        the connSpecClass.

    - #### setDefineMethodInConnection

          public void setDefineMethodInConnection(boolean defineMethodInConnection)

      Set the defineMethodInConnection.
      Parameters:
        `defineMethodInConnection` - The defineMethodInConnection to set.

    - #### isDefineMethodInConnection

          public boolean isDefineMethodInConnection()

      Get the defineMethodInConnection.
      Returns:
        the defineMethodInConnection.

    - #### setMethods

          public void setMethods(java.util.List<MethodForConnection> methods)

      Set the methods.
      Parameters:
        `methods` - The methods to set.

    - #### getMethods

          public java.util.List<MethodForConnection> getMethods()

      Get the methods.
      Returns:
        the methods.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)